[Buildroot] [PATCH v2] alsa-lib: FLAT: Disable alsa lib when FLAT bianry is selected.

Thomas De Schampheleire patrickdepinguin at gmail.com
Mon Nov 11 11:27:50 UTC 2013


Hi Sonic,

On Mon, Nov 11, 2013 at 11:24 AM,  <sonic.adi at gmail.com> wrote:
> From: Sonic Zhang <sonic.zhang at analog.com>
>
> Alsa lib depends on the runtime library loader.
>
> Signed-off-by: Sonic Zhang <sonic.zhang at analog.com>
> ---
>  package/alsa-lib/Config.in | 5 +++--
>  1 file changed, 3 insertions(+), 2 deletions(-)
>
> diff --git a/package/alsa-lib/Config.in b/package/alsa-lib/Config.in
> index df05240..170a563 100644
> --- a/package/alsa-lib/Config.in
> +++ b/package/alsa-lib/Config.in
> @@ -9,14 +9,15 @@ config BR2_PACKAGE_ALSA_LIB
>         # the usage of alsa-lib on no-thread systems is pretty
>         # unlikely, just require thread support globally for alsa-lib.
>         depends on BR2_TOOLCHAIN_HAS_THREADS
> +       depends on !BR2_BINFMT_FLAT
>         help
>           The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
>           functionality to the Linux operating system.
>
>           http://www.alsa-project.org/
>
> -comment "alsa-lib needs a toolchain w/ threads"
> -       depends on !BR2_TOOLCHAIN_HAS_THREADS
> +comment "alsa-lib needs a toolchain w/ threads and none FLAT binary format"
> +       depends on !BR2_TOOLCHAIN_HAS_THREADS || BR2_BINFMT_FLAT

This is not what I meant. The comment should not mention the
dependency on flat, but rather the comment should only be visible if
that dependency is met, so:

comment "alsa-lib needs a toolchain w/ threads"
       depends on !BR2_BINFMT_FLAT
       depends on !BR2_TOOLCHAIN_HAS_THREADS

(note that this does not yet take into account the other comments you
received from ThomasP, Gustavo, ...)



More information about the buildroot mailing list